package com.goldenwater.hzz.mapper;

import com.goldenwater.hzz.domain.ArticleDTO;
import com.goldenwater.hzz.domain.FileWsnDTO;
import com.goldenwater.hzz.domain.RuleExecDTO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface RuleMapper {
    List<RuleExecDTO> getRuleMessage(@Param("adCode") String adCode, @Param("ruleType") String ruleType);

    List<FileWsnDTO> getWsnList(@Param("types") String types, @Param("fileName") String f, @Param("fileType") String ft, @Param("startTime") String st, @Param("endTime") String et);

    int insertWsn(FileWsnDTO dto);

    int updateWsn(FileWsnDTO dto);

    int deleteWsn(@Param("guid") String guid);

    List<ArticleDTO> getArticleList(@Param("title") String t, @Param("type") String ty, @Param("startTime") String st, @Param("endTime") String et);

    int addArticle(ArticleDTO dto);

    int updateArticle(ArticleDTO dto);

    int deleteArticle(@Param("guid") String guid);

    List<ArticleDTO> getArticleTop5(@Param("type") String type);
}
